
/* Counter-Strike Clan War Settings by BlueDemon */


#include <core>
#include <console>
#include <string>
#include <admin>
#include <adminlib>

new STRING_VERSION[MAX_DATA_LENGTH] = "2.50.11";


public admin_freezetime(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_freezetime",Data);
	return PLUGIN_HANDLED;
}

public admin_buytime(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_buytime",Data);
	return PLUGIN_HANDLED;
}

public admin_c4timer(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_c4timer",Data);
	return PLUGIN_HANDLED;
}

public admin_roundtime(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_roundtime",Data);
	return PLUGIN_HANDLED;
}

public admin_maxrounds(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_maxrounds",Data);
	return PLUGIN_HANDLED;
}

public admin_winlimit(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_winlimit",Data);
	return PLUGIN_HANDLED;
}

public admin_tkpunish(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_tkpunish",Data);
	return PLUGIN_HANDLED;
}

public admin_playerid(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_playerid",Data);
	return PLUGIN_HANDLED;
}

public admin_chasecam(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_forcechasecam",Data);
	return PLUGIN_HANDLED;
}

public admin_fadetoblack(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_fadetoblack",Data);
	return PLUGIN_HANDLED;
}

public admin_teambalance(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_autoteambalance",Data);
	return PLUGIN_HANDLED;
}

public admin_startmoney(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];

	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_startmoney",Data);
	return PLUGIN_HANDLED;
}

public plugin_init() {
	plugin_registerinfo("BlueDemon CS War Plugin","Sets all variables needed for clan wars",STRING_VERSION);
	plugin_registercmd("admin_freezetime","admin_freezetime",ACCESS_MAP,"admin_freezetime <seconds>: Sets the time at the beginning of each round to buy weapons and equipment.");
	plugin_registercmd("admin_buytime","admin_buytime",ACCESS_MAP,"admin_buytime <minutes>: Sets the maximum allowed time to buy weapons and equipment (min 15sec).");
	plugin_registercmd("admin_c4timer","admin_c4timer",ACCESS_MAP,"admin_c4timer <seconds>: Sets the time before the C4 explodes (15 to 90 sec).");
	plugin_registercmd("admin_roundtime","admin_roundtime",ACCESS_MAP,"admin_roundtime <minutes>: Sets the maximum duration of each round (3-15)");
	plugin_registercmd("admin_maxrounds","admin_maxrounds",ACCESS_MAP,"admin_maxrounds <#>: Sets the maximum number of rounds to be played on a map");
	plugin_registercmd("admin_winlimit","admin_winlimit",ACCESS_MAP,"admin_winlimit <#>: Will cycle the map after one team reaches this many wins ");
	plugin_registercmd("admin_tkpunish","admin_tkpunish",ACCESS_MAP,"admin_tkpunish <0|1>: Toggles the forcing of a player to sit out the next round for killing a teammate.");
	plugin_registercmd("admin_playerid","admin_playerid",ACCESS_MAP,"admin_playerid <0|1|2>: Toggles display of names in the status bar (all|team+hostages|off");
	plugin_registercmd("admin_chasecam","admin_chasecam",ACCESS_MAP,"admin_chasecam <0|1|2>: Toggles the chasecam to follow teammates only.");
	plugin_registercmd("admin_fadetoblack","admin_fadetoblack",ACCESS_MAP,"admin_fadetoblack <0|1>: Screen fades to black for the remainder of the round when you die.");
	plugin_registercmd("admin_teambalance","admin_teambalance",ACCESS_MAP,"admin_teambalance <0|1>: Toggles the forced balancing of teams.");
	plugin_registercmd("admin_startmoney","admin_startmoney",ACCESS_MAP,"admin_startmoney : admin_startmoney <startmoney>: Sets the amount of money you start with (800-16000)");
	return PLUGIN_CONTINUE;
}




